# $Revision: 1.25 $, $Date: 2010/08/12 19:33:29 $
Summary:	A program for benchmarking hard drives and filesystems
Summary(es.UTF-8):	Benchmark (prueba de desempeño) Bonnie para Sistemas de Archivos Unix
Summary(pl.UTF-8):	Program mierzący wydajność twardych dysków i systemów plików
Summary(pt_BR.UTF-8):	Benchmark (teste de performance) Bonnie para Sistemas de Arquivos Unix
Name:		bonnie++
Version:	1.96
Release:	1
License:	GPL
Group:		Applications/System
Source0:	http://www.coker.com.au/bonnie++/experimental/%{name}-%{version}.tgz
# Source0-md5:	7b8594559f00887d2865de1838328b35
# Patch0:		%{name}-flags.patch
URL:		http://www.coker.com.au/bonnie++/
BuildRequires:	autoconf
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Bonnie++ is a benchmark suite that is aimed at performing a number of
simple tests of hard drive and file system performance.

%description -l es.UTF-8
Bonnie es un benchmark (prueba de desempeño) popular que verifica
varios aspectos de sistemas de archivos Unix.

%description -l pl.UTF-8
Bonnie++ jest zestawem benchmarków, których celem jest przeprowadzenie
prostych testów wydajności twardego dysku i systemu plików.

%description -l pt_BR.UTF-8
Bonnie é um benchmark (teste de performance) popular que verifica
vários aspectos de sistemas de arquivos Unix.

%prep
%setup -q
# %%patch0 -p1

%build
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sbindir},%{_mandir}/{man1,man8}}

install bonnie++ zcav $RPM_BUILD_ROOT%{_sbindir}
install bon_csv2html bon_csv2txt $RPM_BUILD_ROOT%{_bindir}
install *.8 $RPM_BUILD_ROOT%{_mandir}/man8
install *.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc debian/changelog readme.html

%attr(755,root,root) %{_sbindir}/bonnie++
%attr(755,root,root) %{_sbindir}/zcav
%attr(755,root,root) %{_bindir}/bon_csv2html
%attr(755,root,root) %{_bindir}/bon_csv2txt
%{_mandir}/man*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: bonnie++.spec,v $
Revision 1.25  2010/08/12 19:33:29  matkor
- Version 1.96-1.

Revision 1.24  2009/03/18 13:17:17  duddits
- up to 1.03e

Revision 1.23  2008/08/20 06:16:34  paszczus
- updated to 1.03d

Revision 1.22  2008-05-26 12:00:55  dzeus
- up to 1.03c

Revision 1.21  2007-02-12 21:23:49  glen
- tabs in preamble

Revision 1.20  2007/02/12 00:48:40  baggins
- converted to UTF-8

Revision 1.19  2006/08/10 01:13:50  sparky
- added flags patch

Revision 1.18  2004/12/14 00:23:34  glen
- add URL; rel 2; STBR

Revision 1.17  2003/08/06 16:37:16  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.16  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.15  2003/05/25 05:46:02  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2003/02/21 19:14:09  misi3k
- updated to 1.03a (compiles with GCC 3.2)

Revision 1.13  2002/12/08 21:36:20  areq
- 1.03, STBR

Revision 1.12  2002/10/08 17:46:50  pbern
- update from 1.02 to 1.02c

Revision 1.11  2002/05/21 23:12:43  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.10  2002/04/25 15:54:34  arturs
fixed a small typo

Revision 1.9  2002/02/23 01:33:37  kloczek
- adapterized.

Revision 1.8  2002/02/22 23:28:44  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/01/18 02:12:31  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2001/10/17 09:55:59  areq
- 1.0.2, STBR

Revision 1.5  2001/08/23 05:02:44  kloczek
- added missing BuildRequires and use more macros,
- merge translations from CNV.

Revision 1.4  2001/08/22 17:33:49  areq
- 1.01d, STBR
- fix %install

Revision 1.3  2001/07/27 20:22:32  migo
'- added missing (pl) in pl Summary'

Revision 1.2  2001/07/20 20:37:07  migo
- added pl summary and/or description

Revision 1.1  2001/06/28 13:03:08  agaran
Not finished, dont instal properly, probably need ac fixies (atleast ac+spec)

